View Revisions: Issue #7324

Summary 0007324: IDLE_3.9.2-3 doesn't support new Python3.9.7 so; idle_3.9.2-3 and python3-tk(3.9.2-3) should be upgraded to support python3.9.7
Revision 2021-09-13 21:10 by g0tmi1k
Steps To Reproduce 1. Upgrade the Kali system, sudo apt update & sudo apt -y upgrade
2. run 'idle'
it will show this:

└─$ idle
Traceback (most recent call last):
  File "/usr/bin/idle", line 3, in <module>
    from idlelib.pyshell import main
  File "/usr/lib/python3.9/idlelib/pyshell.py", line 53, in <module>
    from idlelib.editor import EditorWindow, fixwordbreaks
  File "/usr/lib/python3.9/idlelib/editor.py", line 19, in <module>
    from idlelib import configdialog
  File "/usr/lib/python3.9/idlelib/configdialog.py", line 27, in <module>
    from idlelib.config_key import GetKeysDialog
  File "/usr/lib/python3.9/idlelib/config_key.py", line 7, in <module>
    from tkinter.simpledialog import _setup_dialog
ImportError: cannot import name '_setup_dialog' from 'tkinter.simpledialog' (/usr/lib/python3.9/tkinter/simpledialog.py)
Revision 2021-09-10 11:15 by hummAPT0
Steps To Reproduce 1. Upgrade the Kali system, sudo apt update & sudo apt -y upgrade
2. run 'idle'
it will show this:

└─$ idle
Traceback (most recent call last):
  File "/usr/bin/idle", line 3, in <module>
    from idlelib.pyshell import main
  File "/usr/lib/python3.9/idlelib/pyshell.py", line 53, in <module>
    from idlelib.editor import EditorWindow, fixwordbreaks
  File "/usr/lib/python3.9/idlelib/editor.py", line 19, in <module>
    from idlelib import configdialog
  File "/usr/lib/python3.9/idlelib/configdialog.py", line 27, in <module>
    from idlelib.config_key import GetKeysDialog
  File "/usr/lib/python3.9/idlelib/config_key.py", line 7, in <module>
    from tkinter.simpledialog import _setup_dialog
ImportError: cannot import name '_setup_dialog' from 'tkinter.simpledialog' (/usr/lib/python3.9/tkinter/simpledialog.py)